package File::DXF::HEADER;

use strict;
use warnings;
use File::DXF::Util 'dxf';

use File::DXF::Section;
use vars qw /@ISA/;
@ISA = qw /File::DXF::Section/;

sub DXF
{
    my $self = shift;
    my $text;
    $text .= dxf (0, 'SECTION');
    $text .= dxf (2, 'HEADER');
    $text .= dxf (9, '$ACADVER');
    $text .= dxf (1, 'AC1009');
    $text .= dxf (0, 'ENDSEC');
    return $text;
}

1;

